package com.fuyuanshen.app.domain.bo;

import com.fuyuanshen.app.domain.AppBusinessFile;
import com.fuyuanshen.common.core.validate.EditGroup;
import com.fuyuanshen.common.mybatis.core.domain.BaseEntity;
import io.github.linpeilie.annotations.AutoMapper;
import lombok.Data;
import lombok.EqualsAndHashCode;
import jakarta.validation.constraints.*;

import java.util.List;

/**
 * app业务文件业务对象 app_business_file
 *
 * @author Lion Li
 * @date 2025-07-03
 */
@Data
@EqualsAndHashCode(callSuper = true)
@AutoMapper(target = AppBusinessFile.class, reverseConvertGenerate = false)
public class AppBusinessFileBo extends BaseEntity {

    /**
     * 主键id
     */
    @NotNull(message = "主键id不能为空", groups = { EditGroup.class })
    private Long id;

    /**
     * 文件id
     */
    private Long fileId;

    /**
     * 业务id
     */
    private Long businessId;

    /**
     * 文件类型(1:操作说明，2:产品参数)
     */
    private Long fileType;

    /**
     * 备注
     */
    private String remark;


    private List<Long> ids;
}
