package com.fuyuanshen.equipment.domain.dto;

import com.fuyuanshen.common.core.validate.EditGroup;
import com.fuyuanshen.common.mybatis.core.domain.BaseEntity;
import io.swagger.v3.oas.annotations.media.Schema;
import jakarta.validation.constraints.NotNull;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 绑定设备参数
 */
@Data
public class AppDeviceBo {
    /**
     * 设备IMEI
     */
    private String deviceImei;

    /**
     * 设备MAC
     */
    private String deviceMac;

    /**
     * 通讯方式 0:4G;  1:蓝牙
     */
    @NotNull(message = "通讯方式不能为空", groups = { EditGroup.class })
    private Integer communicationMode;

}
