package com.fuyuanshen.equipment.domain.query;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serial;
import java.io.Serializable;

/**
 * @author: 默苍璃
 * @date: 2025-07-0910:27
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class DeviceAssignmentQuery implements Serializable {

    /**
     * 表示这个 serialVersionUID 字段是专门为 Java 序列化机制服务的。
     */
    @Serial
    private static final long serialVersionUID = 1L;

    private Long deviceId;

    /**
     * 分配者
     */
    private Long assignerId;

    /**
     * 接收者
     */
    private Long assigneeId;

    /**
     * 0 否
     * 1 是
     * 设备是否有效
     */
    private Integer active;

    /**
     * 分配等级(用于失效)
     */
    private String lever;


    // Getters and Setters

}